Skip to main content
PUT
Change a token budget's limits, action or state

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

budget_id
string
required

Body

application/json

Create or replace a budget. Scope and subject can't change on update.

scope
enum<string>
required
Available options:
user,
team
subject
string
required
Required string length: 1 - 255
limits
BudgetLimits · object
required

Tokens per period; None means no limit for that period.

description
string | null
Maximum string length: 200
action
enum<string>
default:block
Available options:
block,
warn
enabled
boolean
default:true

Response

Successful Response

id
string
required
scope
enum<string>
required
Available options:
user,
team
subject
string
required
periods
Periods · object
required
description
string | null
action
enum<string>
default:block
Available options:
block,
warn
enabled
boolean
default:true
active_members
integer | null
top_members
MemberUsage · object[] | null
updated_by
string | null
updated_at
string<date-time> | null